Add/Update an Admin UserCopy Pagepost https://prod1.serveture.com/public-api/add_update_admin_user/Creates and/or changes an admin level user in the system.Recent RequestsLog in to see full request historyTimeStatusUser Agent Retrieving recent requests…LoadingLoading…Body Paramsadmin_typeint32requiredThe type of an admin user to create. The values are as follows: 2 for a Marketplace Admin; 3 for an Enterprise Admin; 6 for a Branch Admin. This parameter is not used for an update call. Once the admin user is created, the admin type cannot be changed.enterprise_idint32The identifier for the enterprise for which the admin user is being created. This or the ext_customer_id parameter is required when creating an enterprise admin. This parameter is ignored for any update call.ext_customer_idstringThe caller's internally used identifier for a customer (enterprise to WorkN). If supplied, this value will be used instead of the enterprise_id to lookup in WorkN's system and determine the proper enterprise. The mapping of ext_customer_id to enterprise_id must be done by an Administrator of the Marketplace before the ext_customer_id is used. This value must not exceed 50 characters, all spaces are removed by the system. This parameter is ignored for any update call.branch_idint32The identifier for a specific branch within a given Marketplace. The values are dependent on the system and are assigned by WorkN for the app to use. This parameter or the ext_branch_id is required when creating a branch admin. This parameter is ignored for any update call.ext_branch_idstringThe caller's internally used identifier for a customer branch (branch to WorkN). If provided, this value will be used instead of the branch_id to lookup in WorkN's system and determine the proper branch. This mapping of ext_branch_id to branch_id must be done by an Administrator of the Marketplace before the ext_branch_id is used. This value must not exceed 50 characters, all spaces are removed by the system. This parameter is ignored for any update call.role_idint32The WorkN internal identifier for a role that the admin should be assigned to. If provided, this value will be used instead of the role_name.role_namestringThe name of the role to be assigned to the admin user. This is a case insensitive search to find the role that matches. If more than one role with the matching name is found, this is an error.first_namestringrequiredThe first name of the admin user. This parameter is optional for an update call.last_namestringrequiredThe last name of the admin user. This parameter is optional for an update call.usernamestringrequiredThe username for the admin user. This parameter is optional for an update call. The username must be between 5 and 75 characters long. It can only contain alphanumeric characters, as well as the special characters _.@!*-.passwordstringrequiredThe password for the admin user. This parameter is optional for an update call. The password must be between 5 and 128 characters. It can only contain alphanumeric characters, as well as the special characters _.@!*-.email_addressstringThe email address for the admin user. It must be a properly formatted email address.phone_numberstringThe phone number for the admin user.public_apibooleanAn indication of whether this admin user can be used to make calls to the WorkN Public API endpoints or not.cur_user_idstringThe user_id of the admin user you want to update if this is an update call.admin_of_marketplace_branches_idsarray of int32sA list of identifiers for the branches to which the admin should have access. If omitted in an add call, the admin is granted access to all branches. In an update call, omitting the parameter keeps the admin's existing branch access unchanged. Including the parameter without any IDs in both add and update calls grants access to all branches.admin_of_marketplace_branches_idsADD int32HeadersAuthorizationstringrequiredDefaults to Token <place token here>The authorization token returned from the Log In endpoint.Responses 200200 2XX2XXUpdated about 1 year ago Add a BranchGet Admin User Info